﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ZdarzeniaTrasowane
{
    /// <summary>
    /// Logika interakcji dla klasy MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private int licznik_tunneling = 0;

        //Tunneling
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            licznik_tunneling++;
            if (licznik_tunneling == 2) e.Handled = true;
            Title = licznik_tunneling.ToString() + " " + licznik_bubbling.ToString();
            (sender as Button).Background = Brushes.Yellow;
        }

        private int licznik_bubbling = 0;

        //Bubbling
        private void Button_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            //Direct
            if (sender != e.Source) return;

            licznik_bubbling++;
            Title = licznik_tunneling.ToString() + " " + licznik_bubbling.ToString();
            if(sender is Button)
                (sender as Button).Background = Brushes.GreenYellow;
            else if (sender is Panel)
                (sender as Panel).Background = Brushes.Green;
        }
    }
}
